/*

	File:		CAS_App.h

	Contains:	Constants and public function prototypes for CAS_App.c

	Written by:	David H Nelson

	Copyright  1993-1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <2>	 01/17/95	DAS		added Win_IsToolWindow() prototype
		 <1>	 11/20/93	DHN		Created.
*/

#if !defined(_H_CAS_App)
#define _H_CAS_App

#include "CAS_Doc.h"

#define kMAXOPENDOCUMENTS	50

//---------------------------------------------------------------------------
#define kOurPrefType		'pref'

typedef struct
{
	DocPtr	openDocs[kMAXOPENDOCUMENTS];
	short	openDocCount;
} AppRecord, *AppPtr, **AppHandle;

// These are the prefs that are stored in a 'pref' resource in the note pad file.
typedef struct 
{
// if you change this, better change kPrefVersion below. Set it back to 1 for a final release. 
	short			version;

	Boolean			prefSampleFlag;
	short			currentTool;
}
tPrefRec, *tPrefPtr, **tPrefHandle;

#define	kPrefResType		'pref'
#define	kPrefResId			128

#define	kPrefVersion		1

//---------------------------------------------------------------------------
#if defined(__cplusplus)
extern "C"
{
#endif

Boolean App_CloseAll(		void);
OSErr	App_Init(			void);

// Gross kludge
void	App_LogOpenDocument(	DocPtr);
void	App_LogCloseDocument(	DocPtr);

void	App_SetUpMenus(		void);
void	App_Quit(			void);
void	App_Idle(			WindowPtr theWindow);
void	App_AdjustMenus(	WindowPtr theWindow);
void	App_AdjustCursor(	WindowPtr theWindow, Point theLoc, RgnHandle theRgn);
void	App_MouseInContent(	EventRecord *theEvent, WindowPtr theWindow);
void	App_ZoomIn(			WindowPtr theWindow);
void	App_ZoomOut(		WindowPtr theWindow);
void	App_Drag(			WindowPtr theWindow);
void	App_Grow(			WindowPtr theWindow);
void	App_Key(			WindowPtr theWindow, short code, short modifiers);
void	App_CmdKey(			WindowPtr theWindow, short code, short modifiers);
void	App_Activate(		register WindowPtr theWindow);
void	App_Deactivate(		register WindowPtr theWindow);
void	App_Resume(			void);
void	App_Suspend(		void);
void	App_Update(			register WindowPtr theWindow);

// Window Routines

WindowPtr	App_GetFrontFloater(	void );
WindowPtr	App_GetBottomFloater(	void );
WindowPtr	App_GetFrontDocWindow(	void );
void		App_SetFrontDocWindow(	WindowPtr targetWindow );
void		App_ShowHideToolWindows(Boolean showThem );
void		App_ForceActivateFrontWindow(Boolean makeActive );

// Menu Routines

void	App_HandleFileMenu(	short menuItem, WindowPtr theWindow);
void	App_HandleEditMenu(	short menuItem, WindowPtr theWindow);
void	App_HandleToolMenu(	short menuItem, WindowPtr theWindow);
void	App_HandleMenu(		long mSelect, WindowPtr theWindow);
void	App_NewMenu(		void);
void	App_OpenMenu(		void);
void	App_CloseMenu(		WindowPtr theWindow);
void	App_SaveMenu(		WindowPtr theWindow);
void	App_SaveAsMenu(		WindowPtr theWindow);
void	App_PageSetUpMenu(	WindowPtr theWindow);
void	App_PrintMenu		(WindowPtr theWindow);
void	App_QuitMenu(		void);
void	App_PreferencesMenu(void);


#if defined(__cplusplus)
}
#endif


#endif

