/*

	File:		CAS_Error.h

	Contains:	CASample Error routines and constants

	Written by:	Rick Badertscher

	Copyright  1988-1995 Apple Computer, All rights reserved.

	Change History (most recent first):

		 <0>	 11/17/95	RB		Created
*/

#if !defined(_H_CAS_Error)
#define _H_CAS_Error

// CASample errors

#define kOperationErrorDialog		134
#define kErrorStringRsrc			1001

#define kCASErrBase					4000
#define kCASErrFileVersion			kCASErrBase+1
#define kCASErrFileIO				kCASErrBase+2
#define kCASErrCALib				kCASErrBase+3
#define kCASErrSystemScrapIO		kCASErrBase+4
#define kCASErrLast					kCASErrBase+4

// CASample messages

#define kMessageDialog				133
#define kMessageStringRsrc			1002

#define kCASMsgNotSystem7			1
#define kCASMsgLessThan75			2
#define kCASMsgNoPrinterSelected	3
#define kCASMsgFileLocked			4
#define kCASMsgOutOfMemory			5
#define kCASMsgWrongFileVersion		6

void	Error_ReportOperationError(	OSErr theErr);
void	Error_ShowMessage(			short msgIndex);

#endif

