/*
	File:		CAS_MenuItems.h

	Contains:	Constants for menus and their items.

	Written by:	David H Nelson

	Copyright  1993-1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <3>	 4/23/95	RB		OD Menu overhaul
		 <2>	 2/20/95	RB		Added USE_CALIB switch for File & Edit menu id
		 							definitions.
		 <1>	 12/05/93	DHN		Created.
*/

#if !defined(_H_CAS_MenuItems)
#define _H_CAS_MenuItems

#define kMenubar_standard	128
#define kMenubar_calib_plus	129

//---------------------------------------------------------------------------
// Menu numbers
#define kAppleMenu			128
#define kFileMenu			129
#define kEditMenu			130
#define kToolMenu			131

#define kODFileMenu			kFileMenu
#define kODEditMenu			kEditMenu


//---------------------------------------------------------------------------
// Apple Menu Items
#define kAboutItem			1

//---------------------------------------------------------------------------
// File Menu Items
// Required items:	 (Any unused item should be set to a different negative number )

#ifdef USE_CALIB

	#define kNewItem			1
	#define kOpenSelectionItem	2
	#define kOpenItem			3
	#define kInsertItem			4	// extra-special Part Insert!!!
	#define kCloseItem			5

	#define kSaveItem			7
	#define kSaveAsItem			8

	#define kDocumentInfoItem	10

	#define kPageSetUpItem		12
	#define kPrintItem			13

	#define kQuitItem			15

#else

	#define kNewItem			1
	#define kOpenItem			2
	#define kCloseItem			3

	#define kSaveItem			5
	#define kSaveAsItem			6

	#define kGetInfoItem		8	// Application specific File menu item

	#define kPageSetUpItem		10
	#define kPrintItem			11

	#define kQuitItem			13
#endif


//---------------------------------------------------------------------------
// Edit Menu Items
// Required items:	 (Any unused item should be set to a different negative number )

#ifdef USE_CALIB

	#define kUndoItem			1
	#define kRedoItem			2
	
	#define kCutItem			4
	#define kCopyItem			5
	#define kPasteItem			6
	#define kPasteAsItem		7
	#define kClearItem			8
	#define kSelectAllItem		9
	
	#define kPartInfoItem		11
	#define kPreferencesItem	12	// Application specific Edit menu item


	#define kViewInWindowItem	14
#else
	#define kUndoItem			1
	#define kCutItem			3
	#define kCopyItem			4
	#define kPasteItem			5
	#define kClearItem			6

	#define kPreferencesItem	8	// Application specific Edit menu item

	#define kSelectAllItem		10
#endif

//---------------------------------------------------------------------------
// Tool Menu Items
#define kTool1				1
#define kTool2				2
#define kTool3				3
#define kTool4				4

//---------------------------------------------------------------------------
// CALib menu items

#define kSelectAllParts		1

#endif
