/*

	File:		CAS_Misc.h

	Contains:	Header for Misc utility routines.

	Written by:	David H Nelson

	Copyright  1988-1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <1>	 1988	DHN		Created.
*/

#if !defined(_H_CAS_Misc)
#define _H_CAS_Misc

#include <Printing.h>
#include "CAS_CTools.h"

#if defined(__cplusplus)
extern "C"
{
#endif

/*--------------------------------------------------------------------------*/
/* Misc.c */

short		howManyCopies(		THPrint hPrint);
Boolean		checkPrintHandle(	THPrint *hPrint);

short		NumToolboxTraps(	void);
TrapType	GetTrapType(		short theTrap);
Boolean		TrapAvailable(		short theTrap);

CIconHandle	GetCICN(			short id, Boolean has32BitQD);
void		PlotCICN(			Rect *rect, CIconHandle cicn, Boolean has32BitQD );
void		drawSICN(			Ptr pSICN,short iIndex,Rect *rDst);

Handle		next1Resource(		ResType theResType,Handle theHandle);

void		GetFontState(FontState *theFontState);
void		SetFontState(FontState *theFontState);

void		RectLocalToGlobal(Rect *theRect);
void		RectGlobalToLocal(Rect *theRect);

void		RgnLocalToGlobal(RgnHandle theRgn);
void		RgnGlobalToLocal(RgnHandle theRgn);

Rect *		rCenterRectOnPoint(	Point pSrc,Rect *rDst);
Rect *		rCenterRectInRect(	Rect *rSrc,Rect *rDst);

void		ZoomRect(Rect *smallRect,Rect *bigRect,Boolean zoomUp);

pascal Handle	newhandleclear(	long lSize);
pascal Ptr		newptrclear(	long lSize);

Boolean		bAlmostEqual(		Point pt1,Point pt2,short tolerance);
void		ImAlive(			void);
void		Wait(				long numTicks);
unsigned long	lRandom(		void);
OSType		lGetApplCreator(	void);
ulong		ulGetApplDate(		void);
Boolean		bValidSystem(		void);
ulong		ulTime(				void);

MenuHandle	mhSetMenuItem(		Boolean bEnbable,MenuHandle theMenu,short theItem);

short		iToolVersion(		Str255 sVersion);

Boolean		bSetCursor(			short iCursorID);
Boolean		bSetCursorWatch(	void);
short		iGetCursor(			void);
void		spinCursor(			void);



short		iEventModifiers(	void);

void		blockErase(			Ptr pBuffer,long lSize);
void		blockRandomize(		register Ptr pBuffer, long lSize);

void		GetMainScreenRect(	Rect *theMainScreenRect);
Boolean		EqualPicts (PicHandle pictA, PicHandle pictB);

void		MakeDatedUniqueFSSpec (FSSpec* fsSpec);
void		CopyFile (FSSpec* src, FSSpec* dest);

void CheckBeta(void);

void GetOrigin (Point* origin);

#if defined(__cplusplus)
}
#endif


#endif

