/*
	File:		CAS_ToolPalette.h

	Contains:	Header file for Tool pallete routines.

	Written by:	Steve Foley

	Copyright  1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <1>	 2/14/95	SJF		first checked in
				14-Jan-95	DAS 	created this file

	To Do:
*/

#if !defined(_H_CAS_ToolPalette)
#define _H_CAS_ToolPalette


#define WIND_ToolPalette			6969
#define WDEF_ToolPalette			200

#define ToolPalette_CellH			36
#define ToolPalette_CellV			36
#define ToolPalette_CellCount		4


#if defined(__cplusplus)
extern "C"
{
#endif

/* public routines */
WindowPtr ToolPalette_Create(
	PicHandle	*picsReference,
	short	itemCount,
	short	currentItem );
void ToolPalette_Dispose(
	WindowPtr	targetWindow );
WindowPtr ToolPalette_GetWindow( void );
void ToolPalette_Render(
	WindowPtr	targetWindow );
Boolean ToolPalette_IsEvent(
	WindowPtr	targetWindow,
	EventRecord	*targetEvent );
Boolean ToolPalette_DoEvent(
	WindowPtr	targetWindow,
	EventRecord	*targetEvent );
short ToolPalette_GetSelectedCell(
	WindowPtr	targetWindow );
void ToolPalette_SetSelectedCell(
	WindowPtr	targetWindow,
	short		newIndex );

/* private routines */
void ToolPalette_DoMouseDownEvent(
	WindowPtr	targetWindow,
	EventRecord	*targetEvent,
	short		windowPart );
void ToolPalette_DoCommand(
	WindowPtr	targetWindow,
	short		cellIndex );
void ToolPalette_HighlightCell(
	WindowPtr	targetWindow,
	short		cellIndex );
short ToolPalette_PointToCellIndex(
	WindowPtr	targetWindow,
	Point			location );
void ToolPalette_GetCellRect(
	WindowPtr	targetWindow,
	short		cellIndex,
	Rect			*boundsR );

WindowPtr ToolPalette_VerifyWindow(
	WindowPtr	targetWindow );
Boolean ToolPalette_ValidCellIndex(
	short	cellIndex );

#if defined(__cplusplus)
}
#endif


#endif
