/*

	File:		CAS_Win.h

	Contains:	Constants and public function prototypes for CAS_Win.c

	Written by:	David H Nelson

	Copyright  1993-1995 ComponentWorks, All rights reserved.

	Change History (most recent first):

		 <2>	 01/17/95	DAS		added Win_IsToolWindow() prototype
		 <1>	 11/20/93	DHN		Created.
*/

#if !defined(_H_CAS_Win)
#define _H_CAS_Win

#define WINDOWKIND_FLOATING	69


/* NOTE: pertains to v2.0 version of <Window.h> */
#if defined(STRICT_WINDOWS)
#define MODERN_WINDOW_REF	WindowRef
#else
#define MODERN_WINDOW_REF	WindowPeek
#endif


#if defined(__cplusplus)
extern "C"
{
#endif

//---------------------------------------------------------------------------

// Window Control Routines

void		Win_Update(						WindowPtr theWindow );
void		Win_Adjust(						WindowPtr theWindow );
void		Win_AdjustStdState(				WindowPtr theWindow );
WindowPtr	Win_CenterWindow(				WindowPtr theWindow );
WindowPtr	Win_CenterWindowOnParentWindow(	WindowPtr theWindow );
WindowPtr	Win_CenterTWindow(				WindowPtr theWindow,short iTitleSize );
void		Win_CenterShowWindow(			WindowPtr theWindow );
void		Win_CheckWindowPosition(		WindowPtr theWindow );
OSErr	 	Win_Close(						WindowPtr theWindow, Boolean* cancelled );
WindowPtr 	Win_New(						WindowPtr behindWindow, Rect *windowRect );
void		Win_Scroll(						WindowPtr theWindow, short hDist, short vDist );
short		Win_SetFloaterKind(				WindowPtr theWindow );
void		Win_SendActivateEvent(			WindowPtr theWindow, Boolean isActive );
void		Win_ShowHide(					WindowPtr theWindow, Boolean showIt );
void		Win_ShowSelection(				WindowPtr theWindow );


void		Win_DragWindow_Better(			WindowPtr	theWindow,
											Point		theGlobalPt,
											Rect		*boundsR );
								
// Window Attribute Routines
				
Boolean 	Win_DoBackClicks(				WindowPtr theWindow);
Boolean		Win_IsAppWindow(				WindowPtr theWindow);
Boolean		Win_IsDAWindow(					WindowPtr theWindow);
Boolean		Win_IsDialogWindow(				WindowPtr theWindow);
Boolean		Win_IsFloater(					WindowPtr theWindow);
Boolean		Win_IsToolWindow(				WindowPtr theWindow);
Boolean		Win_IsVisible(		 			WindowPtr theWindow);

pascal Boolean bWindowEventFilter(DialogPtr theDialog, EventRecord *theEvent, short *itemHit);
pascal Boolean bWindowEventYDFilter(DialogPtr theDialog, EventRecord *theEvent, short *itemHit, Ptr yourData);



#if defined(__cplusplus)
}
#endif


#endif

